Bug 162955 - [PATCH] lang/maude: update to 2.6, fix loading, add full-maude
Summary: [PATCH] lang/maude: update to 2.6, fix loading, add full-maude
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-29 21:10 UTC by Johannes 5
Modified: 2018-06-04 06:04 UTC (History)
2 users (show)

See Also:


Attachments
maude-2.6.patch (19.32 KB, patch)
2011-11-29 21:10 UTC, Johannes 5
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes 5 2011-11-29 21:10:13 UTC
- Update to 2.6.
- Make all files in ${DATADIR} loadable by filename without an
  explicit path, and without setting MAUDE_LIB. Currently only
  ${DATADIR}/prelude.maude is loaded (during startup).
- Add option FULL_MAUDE (default: on) for user convenience. This
  installs full-maude26b.maude into ${DATADIR}.

Added file(s):
- files/patch-src__Main__main.cc
- files/patch-src__Mixfix__global.cc
- files/patch-src__Mixfix__global.hh

Removed file(s):
- files/patch-maude-data-dir.diff
- files/patch-src-Main-Makefile.in

Port maintainer (rick@wzoeterwoude.net) is cc'd.

Generated with FreeBSD Port Tools 0.99_3 (mode: update, diff: CVSauto)

How-To-Repeat: % pkg_info -IX maude
maude-2.3_2         A high-performance reflective language
% echo $MAUDE_LIB
MAUDE_LIB: Undefined variable.
% ls -l socket*
ls: No match.
% maude socket
		     \||||||||||||||||||/
		   --- Welcome to Maude ---
		     /||||||||||||||||||\
	    Maude 2.3 built: Nov 10 2011 16:56:12
	    Copyright 1997-2007 SRI International
		   Thu Nov 10 17:24:08 2011
Warning: <command line>: couldn't open file socket.maude
Maude> show module SOCKET .
Warning: <standard input>, line 1: no module SOCKET.
Maude> quit
Bye.
% ls -l /usr/local/share/maude
total 104
-r--r--r--  1 root  wheel   3540 10 Nov 16:56 linear.maude
-r--r--r--  1 root  wheel   3965 10 Nov 16:56 machine-int.maude
-r--r--r--  1 root  wheel   9776 10 Nov 16:56 model-checker.maude
-r--r--r--  1 root  wheel  80939 10 Nov 16:56 prelude.maude
-r--r--r--  1 root  wheel   2842 10 Nov 16:56 socket.maude
-r--r--r--  1 root  wheel   1619 10 Nov 16:56 term-order.maude
% 

##### after applying the attached patch and upgrading: #####

% pkg_info -IX maude
maude-2.6           A high-performance reflective language
% echo $MAUDE_LIB
MAUDE_LIB: Undefined variable.
% ls -l socket*
ls: No match.
% maude socket
		     \||||||||||||||||||/
		   --- Welcome to Maude ---
		     /||||||||||||||||||\
	    Maude 2.6 built: Nov 29 2011 19:32:32
	    Copyright 1997-2010 SRI International
		   Tue Nov 29 20:27:17 2011
Maude> show module SOCKET .
mod SOCKET is
  protecting STRING .
  including CONFIGURATION .
  op socket : Nat -> Oid [ctor] .
  [...]
  op-hook socketErrorMsg (socketError : Oid Oid String ~> Msg))] .
endm
Maude> quit
Bye.
% ls -l /usr/local/share/maude
total 976
-r--r--r--  1 root  wheel  867074 Nov 29 19:42 full-maude26b.maude
-r--r--r--  1 root  wheel    3540 Nov 29 19:42 linear.maude
-r--r--r--  1 root  wheel    3965 Nov 29 19:42 machine-int.maude
-r--r--r--  1 root  wheel    3328 Nov 29 19:42 metaInterpreter.maude
-r--r--r--  1 root  wheel    9776 Nov 29 19:42 model-checker.maude
-r--r--r--  1 root  wheel   85945 Nov 29 19:42 prelude.maude
-r--r--r--  1 root  wheel    2842 Nov 29 19:42 socket.maude
-r--r--r--  1 root  wheel    1619 Nov 29 19:42 term-order.maude
%
Comment 1 Edwin Groothuis freebsd_committer 2011-11-29 21:10:22 UTC
Maintainer of lang/maude,

Please note that PR ports/162955 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162955

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-11-29 21:10:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rick van der Zwet 2011-11-30 20:36:13 UTC
On 29 November 2011 22:10, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of lang/maude,
>
> Please note that PR ports/162955 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.

Approved. I have tested the patch, works like a charm.

On a side-note; I no longer use the Maude software and feel no urge
anymore to keep the port up2date. @Johannes: if you like to maintain
the port, I would be very grateful.

Br. /Rick
-- 
http://rickvanderzwet.nl
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-12-01 00:51:11 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Johannes 5 2011-12-01 18:05:55 UTC
On Wed, 30 Nov 2011 21:36:13 +0100, Rick van der Zwet
<info@rickvanderzwet.nl> wrote:
> [...]
> Approved. I have tested the patch, works like a charm.

That's great to read:-)

> On a side-note; I no longer use the Maude software and feel no urge
> anymore to keep the port up2date.

That's sad to read:-(

> @Johannes: if you like to maintain the port, I would be very grateful.

Thanks for considering this! Well, I'm just an executable specification
newbie currently learning Maude ... But it's probably better if I take
the port than that you return it to ports@ sooner or later.
Therefore: OK, I'll take it, trying to fill the gap until an
experienced Maude user volunteers to take maintainership.

@the committer who'll grab this PR: unless you have further questions
regarding the patch or the change of maintainership: please set
MAINTAINER=	joemann@beefree.free.de

@Rick & @committer: Thank you very much!
Johannes
Comment 6 Michael Scheidell freebsd_committer 2011-12-03 20:00:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

i'll take it
Comment 7 dfilter service freebsd_committer 2011-12-03 20:42:06 UTC
scheidell    2011-12-03 20:41:57 UTC

  FreeBSD ports repository

  Modified files:
    lang/maude           Makefile distinfo pkg-plist 
  Added files:
    lang/maude/files     patch-src__Main__main.cc 
                         patch-src__Mixfix__global.cc 
                         patch-src__Mixfix__global.hh 
  Removed files:
    lang/maude/files     patch-maude-data-dir.diff 
                         patch-src-Main-Makefile.in 
  Log:
  - Update to 2.6.
  - Make all files in ${DATADIR} loadable by filename without an explicit path,
  and without setting MAUDE_LIB. Currently only
  ${DATADIR}/prelude.maude is loaded (during startup).
  - Add option FULL_MAUDE (default: on) for user convenience. This
  installs full-maude26b.maude into ${DATADIR}.
  - previous maintainer turns port over to committer
  
  PR:             ports/162955
  Submitted by:   joemann@beefree.free.de
  Reviewed by:    info@rickvanderzwet.nl
  Approved by:    maintainer, gabor(mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.13      +32 -4     ports/lang/maude/Makefile
  1.4       +4 -2      ports/lang/maude/distinfo
  1.2       +0 -35     ports/lang/maude/files/patch-maude-data-dir.diff (dead)
  1.2       +0 -327    ports/lang/maude/files/patch-src-Main-Makefile.in (dead)
  1.1       +14 -0     ports/lang/maude/files/patch-src__Main__main.cc (new)
  1.1       +14 -0     ports/lang/maude/files/patch-src__Mixfix__global.cc (new)
  1.1       +10 -0     ports/lang/maude/files/patch-src__Mixfix__global.hh (new)
  1.3       +2 -0      ports/lang/maude/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Michael Scheidell freebsd_committer 2011-12-05 12:06:36 UTC
State Changed
From-To: open->closed

Committed, thanks.
Comment 9 onefan 2018-06-04 06:04:58 UTC
MARKED AS SPAM